@import "variables";

html {
  background-color: $color-charminar;
  overflow: hidden;
}

body {
  width: 100%;
  font-family: 'Source Sans Pro', sans-serif;
  background-color: $color-charminar;
}

.hero {
  background-color: $color-charminar;
}

.input {
  background-color: $white;
  border: 1px solid $color-cadence;
  border-radius: $border-radius-small;
  box-shadow: none;
}

.textarea {
  background-color: $white;
  border: 1px solid $color-cadence;
  border-radius: $border-radius-small;
  height: 260px;
  box-shadow: none;
  font-family: 'Source Sans Pro', sans-serif;
  font-size: 13px;
  line-height: 1.42857;
}

.input,
.textarea,
.select2-container,
.button,
.label{
  font-family: 'Source Sans Pro', sans-serif;
  font-size: 13px;
  line-height: 1.42857;
}

.input:focus,.input:hover,
.textarea:focus,.textarea:hover {
  border-color: $color-azure;
}

.button.is-primary,
.button.is-primary:hover {
  background-color: $color-azure;
  color: $color-taj-background;
}

.button.is-navigate-away,
.button.is-navigate-away:hover{
  background-color: $color-lilac-transparent;
  color: $color-black;
}

a.nav-item.is-tab {
  color: $color-black;
}

a.nav-item.is-tab:hover {
  border-bottom: 2px solid $color-azure;
}

a.level-item{
  color:$color-biscut;
}

.control{
  margin-bottom: .4rem;
}

::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

::-webkit-scrollbar:window-inactive {
  opacity: 0;
}

::-webkit-scrollbar-thumb {
  background: $color-lilac;
  border-radius: 0.1rem;
  box-shadow: #a8b7c7 0 0 0 1px inset;
}

::-webkit-scrollbar-track {
  background: $color-cadence;
}

.op-main-section {
  height: 100%;
  width: 100%;
  position: absolute;
  background-color: $color-charminar;
}

.op-root {
  background-color: $color-charminar;
  margin: 15px 0 15px 15px;
  height: calc(100% - 79px);
}

.op-nav-header {
  background-color: $color-taj;
  border-bottom: 1px solid $color-border;
}

// avatar
.op-avatar {
  border: 2px solid #c7b89e;
  font-size: 1rem;
  text-align: center;
  vertical-align: middle;
}

.op-avatar, .op-avatar img {
  width: 30px;
  height: 30px;
  border-radius: 50%;
}

//login form
.op-login {
  .op-login-button {
    width: 100%
  }
}

.op-login-section {
  border-radius: 3px;
  margin: 0 auto;
  padding: 20px;
  width: 28em;
  position: relative;
}

//Registration form
.op-register {
  .op-register-button {
    width: 100%
  }
}

.op-register-section {
  border-radius: 3px;
  margin: 0 auto;
  padding: 20px;
  width: 28em;
  position: relative;
}

//Main page - Not logged in
.op-click-to-login {
  display: flex;
  flex: 1 1 auto;
  align-items: center;
  justify-content: center;

}


.select2-search__field{
  font-family: 'Source Sans Pro', sans-serif;
}
.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single {
  border: 1px solid $color-cadence;
}
.select2-container--default .select2-selection--multiple:hover,
.select2-container--default .select2-selection--single:hover {
  border: 1px solid $color-azure;
}
.select2-container--default .select2-selection--single[aria-expanded=true] {
  border: 1px solid $color-azure;
}

.select2-container--default .select2-search--dropdown .select2-search__field,
.select2-dropdown {
  border: 1px solid $color-azure;
}

.select2-container--default .select2-selection--multiple,
.select2-dropdown,
.select2-container--default .select2-selection--single {
  border-radius: $border-radius-small;
}

.select2-search__field {
  outline: none;
  border-radius: $border-radius-search;
}

.select2-search__field:focus {
  border: 1px solid $color-azure;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color: $color-azure !important;
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: $color-cadence;
}

//Select Multiple
.select2-container--default.select2-container--focus .select2-selection--multiple {
  border: 1px solid $color-azure;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  border-radius: $border-radius-small;
  position: relative;
  line-height: 13px;
  color: #343d47;
  cursor: default;
  background-color: $color-steam-transparent;
  background-clip: padding-box;
  user-select: none;
  border: 1px solid $color-border;
  padding: 3px 24px 3px 5px;
  margin: 3px 0 3px 5px;
  box-shadow: 0 1px 0 rgba(0, 0, 0, 0.05);
}

.select2-container {
  width: 100%;
  font-size: 13px;
  line-height: 1.42857;
  background-image: none;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
  margin: 0;
  position: relative;
  display: inline-block;
  vertical-align: middle;
  border: none;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
  margin: 0;
  position: relative;
  display: inline-block;
  vertical-align: middle;
  height: auto !important;
  height: 1%;
  padding: 0;
  cursor: text;
  overflow: hidden;
  border-radius: 3px;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
  margin-right:3px;
}

.select2-selection__choice__remove:hover{
  background-color: rgba(0,0,0,0.2);
  border-radius: 2px;
  border-color: #0368d4;
}

.select2-selection__choice:hover {
  background: rgba(39, 142, 252, .55) !important;
  border-color: rgba(3, 104, 212, .55) !important;

  .select2-selection__choice__remove {
    color: #333;
  }
}

.select2-container--default .select2-search--inline .select2-search__field{
  padding-left:10px;
}

//Notification lib noty override

.noty_theme__mint.noty_type__info, .noty_theme__mint.noty_type__information{
  background: $color-charminar !important;
  border-color: $color-light-charminar !important;
}